using Services;
using Services.ReActAgent;

namespace ReAct_PME.Application
{
    public class VerifServices : IVerifServices
    {
        public async Task<bool> VerifService_Ollama(bool isOnDemand)
        {
            bool b = await ReActAgent.IsOllamaActif(isOnDemand);
            return b;
        }
        public async Task<bool> VerifService_Fooocus()
        {
            bool b = await ReActAgent.IsFooocusActif();
            return b;
        }
        public async Task<bool> VerifService_Qdrant()
        {
            QdrantService qdrant = new();
            bool b = await qdrant.IsAlive();
            return b;
        }
        public async Task<bool> VerifService_Whisper()
        {
            bool b = await ReActAgent.IsWhisperActif();
            return b;
        }
    }
}
